<?php
defined('_JEXEC') or die('Restricted access');
$logo_url 		= $this->params->get("logoUrl", "templates/birdspark/images/logo.png");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<jdoc:include type="head" />
<title><?php echo $mainframe->getCfg('sitename');?></title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('colorVariation'); ?>.css" type="text/css" />
<link rel="stylesheet" href="templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('backgroundVariation'); ?>_bg.css" type="text/css" />
</head>

<body id="page_bg" class="color_<?php echo $this->params->get('colorVariation'); ?> bg_<?php echo $this->params->get('backgroundVariation'); ?> width_<?php echo $this->params->get('widthStyle'); ?>">

	<div class="wrapper" id="topbar">
		<!--logo begins-->
		<a href="index.php" class="fleft" id="logo"><img src="<?php echo $logo_url; ?>" alt="Logo" /></a>
		<!--logo ends-->
		<!--menu begins-->
		<div align="right" class="fright" id="mmenu">
			<jdoc:include type="modules" name="mmenu" />
		</div>
		<!--menu ends-->
	</div>

	<!--header begins-->
	<div class="fclear" id="banner">
		<div class="wrapper">
			<div class="fright" id="search">
				<jdoc:include type="modules" name="user4" />
			</div>
			<div class="fclear" id="bannercontent">
				<jdoc:include type="modules" name="user5" />
			</div>
		</div>
	</div>
	<!--header ends-->

	<!--box1 begins-->
	<div id="box1">
		<div class="wrapper">
			<?php if ($this->countModules('user1') || $this->countModules('user2') || $this->countModules('user3')) { ?>
			<?php
			if ($this->countModules('user1') and $this->countModules('user2')  and $this->countModules('user3')) {
				$width1 = "33%";
			 } else if (($this->countModules('user1') and $this->countModules('user2')) or ($this->countModules('user1') and $this->countModules('user3')) or ($this->countModules('user2') and $this->countModules('user3'))) {
				 $width1 = "50%";
			 } else {
				 $width1 = "100%";
			 }
			 ?>
			<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user1" style="xhtml" /></div>
			<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user2" style="xhtml" /></div>
			<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user3" style="xhtml" /></div>
		<?php } ?>
		</div>
	</div>
	<!--box1 ends-->

	<!--box2 begins-->
	<div class="wrapper">
		<?php if ($this->countModules('user10') || $this->countModules('user11') || $this->countModules('user12')) { ?>
		<?php
		if ($this->countModules('user10') and $this->countModules('user11')  and $this->countModules('user12')) {
			$width1 = "33%";
		 } else if (($this->countModules('user10') and $this->countModules('user11')) or ($this->countModules('user10') and $this->countModules('user12')) or ($this->countModules('user11') and $this->countModules('user12'))) {
			 $width1 = "50%";
		 } else {
			 $width1 = "100%";
		 }
		 ?>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user10" style="xhtml" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user11" style="xhtml" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user12" style="xhtml" /></div>
	<?php } ?>
	</div>
	<!--box2 ends-->

	<!--breadcrumbs begins-->
	<div class="fclear" id="breadcrumb">
		<div class="wrapper">
			<jdoc:include type="module" name="breadcrumbs" />
		</div>
	</div>
	<!--breadcrumbs ends-->

	<!--content begins-->
	<div class="fclear wrapper">
		<div class="fleft" id="content">
			<!--adbanner begins-->
			<div align="center" class="fclear" id="ad">
				<jdoc:include type="modules" name="banner" />
			</div>
			<!--adbanner ends-->
			<div class="<?php echo $this->params->get('sidebarAlign'); ?>" id="leftcol">
				<jdoc:include type="modules" name="left" style="rounded" />
			</div>
			<?php if($this->countModules('left') and $this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
			<div class="fleft" id="maincol">
				<?php elseif($this->countModules('left') and !$this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
				<div class="fleft" id="maincolumn_left">
				<?php elseif(!$this->countModules('left') and $this->countModules('right') and JRequest::getCmd('layout') != 'form') : ?>
				<div class="fleft" id="maincolumn_right">
				<?php else: ?>
				<div class="fleft" id="maincolumn_full">
				<?php endif; ?>
				<div class="nopad">
					<?php
					if ($this->countModules('user6') and $this->countModules('user7')) {
						$width2 = "50%";
					 } else {
						 $width2 = "100%";
					 }
					 ?>
					<div style="float:left; width: <?php echo $width2; ?>"><jdoc:include type="modules" name="user6" style="rounded" /></div>
					<div style="float:left; width: <?php echo $width2; ?>"><jdoc:include type="modules" name="user7" style="rounded" /></div>
					<div class="fclear"><jdoc:include type="modules" name="advert1" style="xhtml" /></div>
					<jdoc:include type="message" />
					<jdoc:include type="component" />
					<div class="fclear"><jdoc:include type="modules" name="advert2" style="xhtml" /></div>
					<?php
					if ($this->countModules('user8') and $this->countModules('user9')) {
						$width3 = "50%";
					 } else {
						 $width3 = "100%";
					 }
					 ?>
					<div style="float:left; width: <?php echo $width3; ?>"><jdoc:include type="modules" name="user8" style="rounded" /></div>
					<div style="float:left; width: <?php echo $width3; ?>"><jdoc:include type="modules" name="user9" style="rounded" /></div>
				</div>
			</div>
		</div>
	</div>
	<!--content ends-->
	
	<div class="wrapper">
		<?php if ($this->countModules('user13') || $this->countModules('user14') || $this->countModules('user15')) { ?>
		<?php
		if ($this->countModules('user13') and $this->countModules('user14')  and $this->countModules('user15')) {
			$width1 = "33%";
		 } else if (($this->countModules('user13') and $this->countModules('user14')) or ($this->countModules('user13') and $this->countModules('user15')) or ($this->countModules('user14') and $this->countModules('user15'))) {
			 $width1 = "50%";
		 } else {
			 $width1 = "100%";
		 }
		 ?>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user13" style="xhtml" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user14" style="xhtml" /></div>
		<div style="float:left; width: <?php echo $width1; ?>"><jdoc:include type="modules" name="user15" style="xhtml" /></div>
	<?php } ?>
	</div>
	
	<!--footer begins-->
	<div class="fclear" id="footer">
		<div class="wrapper">
			<?php
			$templancrand = rand(0,1);
			$templanc = array("Joomla Templates","Free Joomla Templates");
			$templanc = $templanc[$templancrand];
			$linkrand = rand(0,10);
			$anc = array(
				array("URL" => "", "ANCHOR" => "Web Hosting"),
				array("URL" => "", "ANCHOR" => "Reseller Hosting"),
				array("URL" => "", "ANCHOR" => "VPS Hosting"),
				array("URL" => "", "ANCHOR" => "Joomla Hosting"),
				array("URL" => "web_hosting.html", "ANCHOR" => "Web Hosting"),
				array("URL" => "reseller_hosting.html", "ANCHOR" => "Reseller Hosting"),
				array("URL" => "vps_hosting.html", "ANCHOR" => "VPS Hosting"),
				array("URL" => "vps_hosting.html", "ANCHOR" => "VPS Servers"),
				array("URL" => "dedicated_servers.html", "ANCHOR" => "Dedicated Servers"),
				array("URL" => "dedicated_servers.html", "ANCHOR" => "Managed Dedicated Servers"),
				array("URL" => "joomla_hosting.html", "ANCHOR" => "Joomla Hosting"),
				array("URL" => "business_hosting.html", "ANCHOR" => "Business Hosting")
				);
			$url = $anc[$linkrand]["URL"];
			$anchor = $anc[$linkrand]["ANCHOR"];
			?>
			<div class="fleft"><jdoc:include type="modules" name="bottommenu" /></div>
			<p class="fright"><a href="http://www.buyhttp.com/joomla_templates.html" target="_blank"><?php echo $templanc; ?></a> by BuyHTTP <a href="http://www.buyhttp.com/<?php echo $url; ?>" target="_blank"><?php echo $anchor; ?></a></p>
		</div>
	</div>
	
	<div class="wrapper"><jdoc:include type="modules" name="footer" style="xhtml" /></div>
	<!--footer ends-->

</body>
</html>